#!/bin/sh
#
# $FreeBSD: ports/mail/couriergraph/files/couriergraph.sh.in,v 1.3 2006/08/08 15:11:44 clsung Exp $
#
# PROVIDE: couriergraph
# REQUIRE: DAEMON
# BEFORE: mail
#
# Add the following line to /etc/rc.conf to enable mailgraph:
#
# couriergraph_enable="YES"
#

. /etc/rc.subr

name=couriergraph
rcvar=`set_rcvar`

command=/usr/local/sbin/couriergraph.pl > /dev/null 2>&1
command_interpreter=/usr/bin/perl
stop_postcmd=stop_postcmd

stop_postcmd()
{
    rm -f $pidfile
}

couriergraph_enable=${couriergraph_enable:-"NO"}
couriergraph_pidfile=${couriergraph_pidfile:-"/var/db/couriergraph/couriergraph.pid"}
couriergraph_flags=${couriergraph_flags:-"--logfile /var/log/maillog --daemon-rrd=/var/db/couriergraph --daemon --daemon-pid=${couriergraph_pidfile}"}
couriergraph_user=${couriergraph_user:-"www"}
couriergraph_group=${couriergraph_group:-"www"}
couriergraph_chdir=${couriergraph_chdir:-"/var/db/couriergraph"}

load_rc_config $name

pidfile=${couriergraph_pidfile}

run_rc_command "$1"
